Bug 9054 - 00-load should not try to load modules with optional dependencies
Summary: 00-load should not try to load modules with optional dependencies
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Test Suite (show other bugs)
Version: master
Hardware: All All
: P5 - low critical (vote)
Assignee: Jared Camins-Esakov
QA Contact: Jonathan Druart
URL:
Keywords:
Depends on: 9036
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-10 17:45 UTC by Jared Camins-Esakov
Modified: 2019-06-27 09:24 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 9054: 00-load should not try to load modules with optional dependencies (1.03 KB, patch)
2012-11-10 19:06 UTC, Jared Camins-Esakov
Details | Diff | Splinter Review
Bug 9054: 00-load should not try to load modules with optional dependencies (1.08 KB, patch)
2012-11-11 06:08 UTC, Chris Cormack
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jared Camins-Esakov 2012-11-10 17:45:50 UTC
At the moment, t/00-load.t is trying to load Koha::SearchEngine, which failes when Moose is not installed.
Comment 1 Jared Camins-Esakov 2012-11-10 19:06:11 UTC Comment hidden (obsolete)
Comment 2 Chris Cormack 2012-11-11 06:07:41 UTC
Applies fine, and works as long as bug 9036 is applied first.
Comment 3 Chris Cormack 2012-11-11 06:08:57 UTC
Created attachment 13378 [details] [review]
Bug 9054: 00-load should not try to load modules with optional dependencies

Prior to this patch, t/00-load.t was trying to load Koha::SearchEngine,
which fails when Moose is not installed.

Signed-off-by: Chris Cormack <chris@bigballofwax.co.nz>
Comment 4 Jonathan Druart 2012-11-12 10:55:37 UTC
Oops, my fault. Good catch Jared.
Marked as Passed QA
Comment 5 Jared Camins-Esakov 2012-11-12 23:51:23 UTC
This patch has been pushed to master.
Comment 6 Paul Poulain 2012-11-16 17:29:52 UTC
Patch pushed to branch 3.10.x
Comment 7 Jared Camins-Esakov 2012-12-03 13:00:41 UTC
Works in current master.